<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['house-title'];
  $helppage = "";

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['house'])) puterror2($TEXT['error-house1']);
  if(strlen($_POST['house'])>80) puterror2($TEXT['error-house2']);

  if(isset($_POST['house'])) $house=trim($_POST['house']);
    else $house="";
     if(empty($house)) puterror2($TEXT['error-house3']);

  $_POST['house'] = rep($_POST['house']);

  $query_chk = "SELECT `house` FROM `tbl_house` WHERE `house`='".$_POST['house']."' ";
     $result_chk = mysql_query($query_chk);
     if (!$result_chk) puterror2($TEXT['error-tbl4']);
       if (mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-house1'];
  $what = $_POST['house'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_house` ( `house_id` , `house` ) VALUES ( NULL , '".$_POST['house']."')";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-house4']);
  require_once "../util/bottom.php";
?>
